Bug 208532 - net/pear-Net_IPv4 + net/pear-Net_IPv6: New checksums
Summary: net/pear-Net_IPv4 + net/pear-Net_IPv6: New checksums
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-04 20:47 UTC by Daniel Ylitalo
Modified: 2016-12-26 12:56 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2016-04-04 20:47:48 UTC
They have re-packaged the tars on pear.php.net so the checksums doesnt match anymore, here are the new ones.

SHA256 (PEAR/Net_IPv4-1.3.4.tgz) = 8eb1a7a44c7a6f5504b5d186a3b458df3edd83e46430c259a8d7cb7b31b0787b
SIZE (PEAR/Net_IPv4-1.3.4.tgz) = 6057

SHA256 (PEAR/Net_IPv6-1.2.1.tgz) = 547d87caec510b8a20b43b49e2ef251d0adcbe9d500269b35da112c8156911d4
SIZE (PEAR/Net_IPv6-1.2.1.tgz) = 9799
Comment 1 Dmitry Marakasov freebsd_committer 2016-05-28 14:00:43 UTC
It's not that easy, as there are different files on pear.php.net and de.pear.php.net (us.pear.php.net is dead). It should be fixed upstream. See

https://pear.php.net/bugs/21068
https://pear.php.net/bugs/21069
Comment 2 Dmitry Marakasov freebsd_committer 2016-12-26 12:56:26 UTC
net/pear-Net_IPv6 no longer has this problem as it was updated.

net/pear-Net_IPv4 still has.

- There was no feedback from upstream
- Files still differ on http://pear.php.net/get/ and http://de.pear.php.net/get/
- Tarball contents are identical
- File on http://pear.php.net/get is newer (2015 vs 2010)

I assume pear.php.net is canonical and de.pear.php.net is not updating and is rotten (same for pear-Net_IPv6 - de. mirror don't have a new package), so I'm updating the checksum for pear-Net_IPv4.

We may also consider removing de.pear.php.net from the list of pear mirrors.
Comment 3 commit-hook freebsd_committer 2016-12-26 12:56:56 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Dec 26 12:56:22 UTC 2016
New revision: 429508
URL: https://svnweb.freebsd.org/changeset/ports/429508

Log:
  - Distfile was rerolled (no difference in tarball contents), update checksums
  - Note that de.pear.php.net still ships an old distfile, ignore it as it seems to be outdated
  - While here, add LICENSE

  PR:		208532
  Submitted by:	daniel@blodan.se
  Approved by:	portmgr blanket

Changes:
  head/net/pear-Net_IPv4/Makefile
  head/net/pear-Net_IPv4/distinfo